com.informix.jdbc

## Class IfxSavepoint

- java.lang.Object
- - com.informix.jdbc.IfxSavepoint

All Implemented Interfaces:
  IfmxSavepoint, java.sql.Savepoint

    public class IfxSavepoint
    extends java.lang.Object
    implements IfmxSavepoint

### Method Summary

Methods
`protected void` `addResultSet(java.sql.ResultSet rs)`
`protected void` `closeResultSet()`
`int` `getSavepointId()`
`java.lang.String` `getSavepointName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSavepointId

    public int getSavepointId()
                       throws java.sql.SQLException

Specified by:
  `getSavepointId` in interface `java.sql.Savepoint`
Throws:
  `java.sql.SQLException`

#### getSavepointName

    public java.lang.String getSavepointName()
                                      throws java.sql.SQLException

Specified by:
  `getSavepointName` in interface `java.sql.Savepoint`
Throws:
  `java.sql.SQLException`

#### addResultSet

    protected void addResultSet(java.sql.ResultSet rs)

#### closeResultSet

    protected void closeResultSet()
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`